Skip to main content

List asset backups

Retrieves a list of asset backups.

Query Parameters
  • limit int64

    Limits the size of the response on each page to the specified number of items.

  • start string

    Sets the page number used to browse the collection. Pages are indexed starting from 1 (i.e., ?start=1).

  • sort string

    Returns the list of backups in the order specified. Set sort to the name of the sort field by which to sort in ascending order. To sort the list in reverse order, prefix the field name with a minus sign (-). Only one field may be sorted at a time.

    The following table lists the supported sort fields for this resource:

    Sort FieldDescription
    start_timestampSorts the backups in ascending timestamp order (oldest first). For example, ?sort=start_timestamp
    If a sort order is not specified, the individual rules are sorted by "start_timestamp" in descending timestamp order (newest first).
  • filter string

    Narrows down the results to only the items that satisfy the filter criteria. The following table lists the supported filter fields for this resource and the filter conditions that can be applied on those fields:

    protection_group_gcs_asset_id$eqThe ID of the GCS protection group asset. For example, ?filter={"protection_group_gcs_asset_id":{"$eq":"d0ba78cc-582b-11ea-9bdc-82f798bd42fe"}}
    parent_protection_group_backup_id$eqThe ID of the parent protection group backup. For example, ?filter={"parent_protection_group_backup_id":{"$eq":"d0ba78cc-582b-11ea-9bdc-82f798bd42fe_2022-01-01T00:02:00Z.13753"}}
    start_timestamp$lte, $gtThe timestamp value of when the backup started. Represented in RFC-3339 format. For example, ?filter={"start_timestamp":{"$lte":"1985-04-12T23:20:50Z"}}
    bucket_region$eqThe GCS bucket region. For example, ?filter={"bucket_region":{"$eq":"us-west1"}}
    For more information about filtering, refer to the Filtering section of this guide.
Responses

Success


Schema
  • _embedded object
  • items object[]
  • backed_up_object_count uint64

    The number of objects in the protection group GCS asset that were successfully backed up.

  • backed_up_size_bytes uint64

    The total size in bytes of new (non-deleted) objects in the protection group GCS asset that were backed up in this backup. Excludes deleted/tombstone objects.

  • bucket_id string

    The Clumio-assigned ID of the GCS bucket.

  • bucket_name string

    The name of the GCS bucket.

  • expiration_timestamp string

    The timestamp of when this backup expires. Represented in RFC-3339 format.

  • failed_object_count uint64

    The number of objects in the protection group GCS asset that failed to be backed up.

  • failed_size_bytes uint64

    The total size in bytes of objects in the protection group GCS asset that failed to be backed up.

  • gcp_region string

    The GCP region in which the backup resides. For example, us-west1.

  • id string

    The Clumio-assigned ID of the protection group GCS asset backup.

  • missing_object_count int64

    The number of objects in the protection group GCS asset that were missing during backup.

  • missing_size_bytes int64

    The total size in bytes of objects in the protection group GCS asset that were missing during backup.

  • project_id string

    The GCP project ID.

  • protection_group_gcs_asset_id string

    The Clumio-assigned ID of the protection group GCS asset.

  • protection_group_id string

    The Clumio-assigned ID of the protection group.

  • protection_group_version int64

    The version of the protection group at the time the backup was taken.

  • start_timestamp string

    The timestamp of when this backup started. Represented in RFC-3339 format.

  • type string

    The type of backup. Possible values include gcp_protection_group_gcs_asset_backup.

  • current_count int64

    The number of items listed on the current page.

  • filter_applied string

    The filter used in the request. The filter includes both manually-specified and system-generated filters.

  • limit int64

    The maximum number of items displayed per page in the response.

  • start string

    The page number used to get this response. Pages are indexed starting from 1 (i.e., "start": "1").

  • total_count int64

    The total number of items, summed across all pages.

  • total_pages_count int64

    The total number of pages of results.

Loading...